<template>
  <iframe :class="$style.iframe" :src="$route.params.url" />
</template>

<script>
import components from './_import-components/sd-iframe-import'

export default {
  name: 'SdIframe',
  metaInfo() {
    return {
      title: decodeURIComponent(location.hash.split('?title=')[1]),
    }
  },
  components,
  data() {
    return {}
  },
  methods: {},
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
.iframe {
  width: 100%;
  height: 99%;
  border: none;
}
</style>
